<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- This is a template page that is used for every page displayed -->
<!-- What is not overridden in pages that use this template then the ui:insert in the template are used -->
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:head>
        <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        
        <!-- cookie preRenderView  -->
        <f:metadata>
            <f:event type="preRenderView" listener="#{preRenderViewBean.checkCookies()}" />
            <f:event rendered="#{preRenderViewBean.cookiesEnabled}" type="preRenderView" listener="#{shoppingCartCookie.checkShoppingList()}" />
            <f:event rendered="#{preRenderViewBean.cookiesEnabled}" type="preRenderView" listener="#{languagePreferenceCookie.checkCookies()}"/>
            <f:event rendered="#{preRenderViewBean.cookiesEnabled}" type="preRenderView" listener="#{resentPageCookie.writeLastBookPageVisitedToCookie()}"/>
        </f:metadata>

        <title><ui:insert name="windowTitle" /></title>

        <h:outputStylesheet library="webjars" name="bootstrap/3.3.7-1/css/bootstrap.min-jsf.css" />
        <h:outputStylesheet library="webjars" name="bootstrap/3.3.7-1/css/bootstrap-theme.min-jsf.css" />
        <h:outputStylesheet library="css" name="help.css"/>
        <h:outputStylesheet library="css" name="browsepage.css"/>
        <h:outputStylesheet library="css" name="bookpage.css"/>
        <h:outputStylesheet library="css" name="stars.css"/>
        <h:outputStylesheet library="css" name="style.css" />
        <h:outputStylesheet library="css" name="survey-styling.css" />
        <h:outputStylesheet library="css" name="spacing.css" />
        <h:outputStylesheet library="css" name="tableStyle.css" />
        <h:outputScript library="js" name="actions.js"/>
        <h:outputStylesheet library="css" name="animatedButtons.css" />
        <h:outputStylesheet library="css" name="shoppingCart.css" />
        <h:outputStylesheet library="css" name="slick/slick.css" />
        <h:outputStylesheet library="css" name="slick/slick-theme.css" />
        <h:outputStylesheet name="primeicons/primeicons.css" library="primefaces"/>

    </h:head>

    <h:body>
        <!-- Control-Shift x -->
        <ui:debug hotkey="x" rendered="#{initParam['javax.faces.PROJECT_STAGE'] eq 'Development'}" />
        
        <a id="backToTop"></a>

        <div id="menu">
            <ui:insert name="menu">
                <ui:include src="../sections/menu.xhtml" />
            </ui:insert>
        </div>
        
        <div id="page-container">

            <div id="content">
                <ui:insert name="content"/>
            </div>

            <div id="footer">
                <ui:insert name="footer">
                    <ui:include src="../sections/footer.xhtml" />
                </ui:insert>
            </div>
        </div>
        <ui:debug />

        <!-- load js at bottom for faster loading-->
        <h:outputScript library="webjars" name="jquery/3.1.1-1/jquery.min.js"/>
        <h:outputScript library="webjars" name="bootstrap/3.3.7-1/js/bootstrap.min.js" />
        
        <h:outputScript library="css" name="slick/slick.min.js" />
        <h:outputScript library="js" name="customCarousel.js" />
        
        <h:outputScript library="js" name="documentReady.js" />
    </h:body>
</html>